Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class StreamCorruptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.ObjectStreamException
                      java.io.StreamCorruptedException

All Implemented Interfaces:
  Serializable

    public class StreamCorruptedException

extends ObjectStreamException

Thrown when control information that was read from an object stream violates internal consistency checks.

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`StreamCorruptedException()` Create a StreamCorruptedException and list no reason why thrown.
`StreamCorruptedException(String reason)` Create a StreamCorruptedException and list a reason why thrown.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamCorruptedException

    public StreamCorruptedException(String reason)

  Create a StreamCorruptedException and list a reason why thrown.

  Parameters:
    `reason` - String describing the reason for the exception.

### StreamCorruptedException

    public StreamCorruptedException()

  Create a StreamCorruptedException and list no reason why thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.